Tech-Ecke / CATScript/VBS Inhalt / Anzeige und Visuelles

 

Anzeige und Visuelles

Seiteninhalt:  
  Catia Statusanzeige
  Show / Hide Ansicht
  Hintergrundfarbe
  Ansichten (Blickwinkel) im 3D
  Fit All In (Reframe)
  Baum ein- und ausblenden
  Kompass ein- und ausblenden

Catia Statusanzeige (Textausgabe unten links)
 
 
  Sub CATMain()

CATIA.StatusBar = "Hier steht eine Info..."   ' setzen der Anzeige
MsgBox Catia.ActiveDocument.Application.Statusbar   ' Auslesen der Statusanzeige

End Sub
 

 

Show / Hide Ansicht
 
 
Wechseln zwischen Show und Hide:
 
  Sub CATMain()

 CATIA.ActiveDocument.SeeHiddenElements = true     ' wechse zu Hide... = false wechselt zu Show

End Sub
 

Abfragen ob Show oder Hide aktiv ist:

  Sub CATMain()

if CATIA.ActiveDocument.SeeHiddenElements then
   MsgBox "Ich bin im Hide"
else
   MsgBox "Ich bin im Show"
end if

End Sub
 

 

 
Die Angabe von Farben erfolgt Elemente immer über den RGB-Wert (Rot-Grün-Blau), das gilt auch für den Hintergrund, jedoch wird der RGB-Werte hier nicht mit ganzen Integerwerten angegeben, sondern mit Gleitkommazahlen (RGB-Float).  0,0,0 wäre demnach schwarz, 0.5,0.5,0.5 wäre grau und 1,1,1 weiß... 
 
  Sub CATMain()

CATIA.ActiveWindow.ActiveViewer.PutBackgroundColor Array(1, 1, 1' setzt Hintergrundfarbe auf weiß

End Sub
 
 
Auslesen der Farbwerte:
 
  Sub CATMain()

dim Farbe(2)
CATIA.ActiveWindow.ActiveViewer.GetBackgroundColor Farbe
MsgBox " " & Farbe(0) & " " &Farbe(1) & " " & Farbe(2),0,"Farbwerte:"  

End Sub
 


 

Ansichten (Blickwinkel) im 3D

Richtet die Ansicht auf "Front View" aus
 
  Sub CATMain()

CATIA.ActiveWindow.ActiveViewer.Viewpoint3D.PutSightDirection Array(1, 0, 0)    '  1,0,0  für "Front View"
CATIA.ActiveWindow.ActiveViewer.Viewpoint3D.PutUpDirection Array(0, 0, 1) 

End Sub
 

Weitere Ansichten:     -1, 0, 0    =   Back View
                                                                           0, 1, 0    =    Left View
                                  0, -1, 0   =   Right View
                                                                           0, 0, -1   =   Top View
                                  0, 0, 1    =   Bottom View
                                                                           1, 1, -1   =   ISO View


 

Fit All In  (Reframe)

Folgende Anweisung führt ein "Fit All In" im aktuellen Fenster aus:
 
  Sub CATMain()

CATIA.ActiveWindow.ActiveViewer.Reframe  

End Sub
 


Baum ein- und ausblenden

  Sub CATMain()

CATIA.ActiveWindow.Layout = 1     ' Ausblenden

MsgBox("Baum is wech...")

CATIA.ActiveWindow.Layout = 0     ' Einblenden

MsgBox("...und nu isser wieder da")

End Sub
 


Kompass ein- und ausblenden

  Sub CATMain()

CATIA.StartCommand "CompassDisplayOff"     ' Ausblenden

MsgBox("Kompi is wech...")

CATIA.StartCommand "CompassDisplayOn"     ' Einblenden

MsgBox("...und nu isser wieder da")

End Sub
 

"Die Option Drucken funktioniert erst ab Netscape V4.0 bzw. I-Explorer 5.0 !"

[letzte Aktualisierung 19.02.2016]